// Javascript fr HTML5-Apps (Physik russisch)
// 13.08.2014 - 16.02.2021

// Konstanten:

var language = "ru";                                                 // Abkrzung fr Sprache
var textPhysics = "\u0424\u0438\u0437\u0438\u043a\u0430";            // Bezeichnung fr Physik
var textCollection = "Physics Apps";                                 // Bezeichnung fr Programmsammlung
var textModification = "\u041f\u043e\u0441\u043b\u0435\u0434\u043d\u0435\u0435 "    // Bezeichnung fr letzte nderung
                     + "\u0438\u0437\u043c\u0435\u043d\u0435\u043d\u0438\u0435";                 
var textTranslation = "\u0420\u0443\u0441\u0441\u043a\u0430\u044f "  // Text fr bersetzung
                    + "\u0432\u0435\u0440\u0441\u0438\u044f: "
                    + "\u041d\u0413\u0422\u0423 2010";        

// Array der Monatsnamen (Genitiv):

var month = ["\u044F\u043D\u0432\u0430\u0440\u044F", "\u0444\u0435\u0432\u0440\u0430\u043B\u044F", 
             "\u043C\u0430\u0440\u0442\u0430", "\u0430\u043F\u0440\u0435\u043B\u044F", 
             "\u043C\u0430\u044F", "\u0438\u044E\u043D\u044F", 
             "\u0438\u044E\u043B\u044F", "\u0430\u0432\u0433\u0443\u0441\u0442\u0430", 
             "\u0441\u0435\u043D\u0442\u044F\u0431\u0440\u044F", "\u043E\u043A\u0442\u044F\u0431\u0440\u044F", 
             "\u043D\u043E\u044F\u0431\u0440\u044F", "\u0434\u0435\u043A\u0430\u0431\u0440\u044F"];

// Logo Physik-Apps:

function logo (filename) {
  var t = document.createElement("div");                             // Neues div-Element (bergeordnet)
  t.setAttribute("id","Index");                                      // Attribut id setzen (Layout-Festlegung durch CSS-Datei)
  var t1 = document.createElement("div");                            // Neues div-Element (oben)
  t1.setAttribute("id","Index1");                                    // Attribut id setzen (Layout-Festlegung durch CSS-Datei)
  t.appendChild(t1);                                                 // div-Element hinzufgen
  var t2 = document.createElement("div");                            // Neues div-Element (unten)
  t2.setAttribute("id","Index2");                                    // Attribut id setzen (Layout-Festlegung durch CSS-Datei)
  t.appendChild(t2);                                                 // div-Element hinzufgen
  var a1 = document.createElement("a");                              // Neuer Link (fr Logo)
  a1.setAttribute("href","index.html");                              // Adresse fr Inhaltsverzeichnis
  var i = document.createElement("img");                             // Neues Bild (Logo Physik)
  i.setAttribute("src","../ph/javaphys.gif");                        // Pfadangabe (Bilddatei)
  i.setAttribute("alt",textPhysics);                                 // Alternativer Text
  a1.appendChild(i);                                                 // Bild zum Link hinzufgen
  t1.appendChild(a1);                                                // Link zum oberen div-Element hinzufgen
  var a2 = document.createElement("a");                              // Neuer Link (fr Text)
  a2.setAttribute("href","index.html");                              // Adresse fr Inhaltsverzeichnis
  a2.innerHTML = textCollection;                                     // Text fr Link
  t2.appendChild(a2);                                                // Link zum unteren div-Element hinzufgen
  var body = document.getElementsByTagName("body")[0];               // Body-Element
  body.appendChild(t);                                               // bergeordnetes div-Element hinzufgen
  }
  
// Datum nach dem Muster "1 ?????? 2000"
// d ... Tag (1 bis 31)
// m ... Monat (1 bis 12)
// y ... Jahr
  
function date (d, m, y) {
  return ""+d+" "+month[m-1]+" "+y;
  }
  
// Daten am Ende der Seite (URL, Autor, Datum, bersetzer, letzte nderung)

function data (filename, d1, m1, y1, d2, m2, y2) {
  var body = document.getElementsByTagName("body")[0];               // Body-Element
  var p = document.createElement("p");                               // Neuer Absatz
  p.setAttribute("class","Ende");                                    // Klasse (Layout-Festlegung durch CSS-Datei)
  var s = "URL: https://www.walter-fendt.de/html5/ph"+language+"/";  // Anfang der URL
  s += filename+"_"+language+".htm<br>";                             // URL vervollstndigen, Zeilenumbruch
  s += "Walter Fendt, "+date(d1,m1,y1)+"<br>";                       // Autor, Datum, Zeilenumbruch
  s += textTranslation+"<br>";                                       // bersetzung, Zeilenumbruch
  s += textModification+": "+date(d2,m2,y2)+"<br>&nbsp;<br>";        // Datum der letzten nderung, Zeilenumbruch
  var a = '<a rel="license" href="https://creativecommons.org/licenses/by-nc-sa/4.0/">';
  s += a+'<img alt="Creative Commons License" style="border-width:0" ';
  s += 'src="https://i.creativecommons.org/l/by-nc-sa/4.0/88x31.png" /></a><br />';
  s += 'This work is licensed under a ';
  s += a+'Creative Commons Attribution-NonCommercial-ShareAlike ';
  s += '4.0 International License</a>.';
  p.innerHTML = s;                                                   // Inhalt des Absatzes
  body.appendChild(p);                                               // Absatz hinzufgen
  }
  
// Leere Zeile 
  
function emptyLine () {
  var e = document.createElement("div");                             // Neues Div-Element
  e.setAttribute("class","Abstand");                                 // Klasse (Layout-Festlegung durch CSS-Datei)
  e.innerHTML = "\u0020";                                            // Leerzeichen
  return e;                                                          // Rckgabewert
  }
  
// Seitenende insgesamt
// filename ..... Dateiname (ohne Erweiterungen)
// d1, m1, y1 ... Datum der Erstverffentlichung
// d2, m2, y2 ... Datum der letzten nderung

function endPage (filename, d1, m1, y1, d2, m2, y2) {
  var body = document.getElementsByTagName("body")[0];               // Body-Element
  body.appendChild(emptyLine());                                     // Leere Zeile hinzufgen
  var hr = document.createElement("hr");                             // Trennstrich
  hr.setAttribute("class","Trennlinie");                             // Klasse (Layout-Festlegung durch CSS-Datei)
  body.appendChild(hr);                                              // Trennstrich hinzufgen
  body.appendChild(emptyLine());                                     // Leere Zeile hinzufgen
  logo(filename);                                                    // Logo
  data(filename,d1,m1,y1,d2,m2,y2);                                  // Daten am Ende (URL, Copyright, letzte nderung)
  }
  
  
  
